<% add_decidim_meta_tags({
  description: present(@proposal).body,
  title: present(@proposal).title,
  url: proposal_url(@proposal.id)
}) %>
<%
edit_link(
  resource_locator(@proposal).edit,
  :edit,
  :proposal,
  proposal: @proposal
)
%>
<%
extra_admin_link(
  resource_locator(@proposal).show(anchor: "proposal-answer"),
  :create,
  :proposal_answer,
  { proposal: @proposal },
  { name: t(".answer"), icon: "fa-solid fa-comment-dots" }
)
%>
<%# <%= emendation_announcement_for @proposal %> 
<% @can_moderate = current_participatory_space.moderators.include?(current_user) %>
<div class="br-container-lg">
  <%= link_to proposals_path, class: "br-button" do %>
    <i class="fas fa-chevron-left" aria-hidden="true"></i>
    <%= t(".back_to_list_proposals") %>
  <% end %>
  <div class="flex-column mt-4">
     <% voting_rules_button_text = t("decidim.proposals.proposals.voting_rules.help_button_text", proposal: translated_attribute(current_component.singular_name).present? ? 
                translated_attribute(current_component.singular_name).downcase : 
                "proposta"
                )%>
    <%= render partial: "voting_rules" , locals: { is_vote_rule: true, triangle_position: "flex-start" ,help_button_text: voting_rules_button_text, inform_text_help: t("decidim.proposals.proposals.voting_rules.infom_text_help") } %>
  </div>
  <span class="br-divider my-5"></span>
  <div class="content-container">
    <div class="main-content">
      <!-- Tag de status da proposta. Ex: Retirada, Incorporada -->
      <% if not @proposal.emendation? and not ["section","subsection"].include? @proposal.participatory_text_level %>
        <%== cell("decidim/proposals/proposal_m", @proposal, full_badge: true).badge %>
      <% end %>
      <!-- Titulo da proposta -->
      <% if @proposal.emendation? %>
        <h2 class="proposal-title">
          <%= t(".changes_at_title", title: present(@proposal.amendable).title(links: true, html_escape: true)) %>
        </h2>
      <% else %>
        <h2 class="proposal-title">
          <%= present(@proposal).title(links: true, html_escape: true) %>
        </h2>
      <% end %>
      <% if not @proposal.emendation? and not ["section","subsection"].include? @proposal.participatory_text_level %>
        <%= content_tag :div, class: 'br-proposal_body' do  %>
          <% render_proposal_body(@proposal)%>
        <% end%>
      <% end %>
      <% if (@proposal.try(:image?) || @proposal.try(:article?)) && @proposal.try(:image_attachment).try(:attached?) %>
        <%= content_tag :img, nil, src: @proposal.image_attachment.url, width: "720" %>
      <% end %>
      <div class="proposal-extra-data">
        <!-- Autor, data de publicação e botão de denúncia -->
        <% unless component_settings.participatory_texts_enabled? %>
          <!-- Tag de categoria da proposta -->
          <% proposal_tag = cell "decidim/proposals/proposal_tags", @proposal %>
          <%= cell("decidim/coauthorships", @proposal, has_actions: true, size: 3,
            context: {
              current_user: current_user,
              proposal_tag: proposal_tag,
              proposal_edit_link: edit_proposal_path(@proposal),
              amendable?: @proposal.amendable?,
              allowed?: allowed_to?(:edit, :proposal, proposal: @proposal),
              ammend_button: amend_button_for(@proposal)
            })
          %>
        <% end %>
      </div>
      <% if component_settings.geocoding_enabled? %>
        <%= render partial: "decidim/shared/static_map",
          locals: { icon_name: "proposals", geolocalizable: @proposal } %>
      <% end %>
      <% if proposal_has_costs? && current_settings.answers_with_costs? %>
        <%= cell("decidim/proposals/cost_report", @proposal) %>
      <% end %>
      <%= cell("decidim/proposals/feedback", proposal_reason_callout_announcement,
        callout_class: proposal_reason_callout_class) if @proposal.answered? && @proposal.published_state? %>
      <%= linked_resources_for @proposal, :results, "included_proposals" %>
      <%= linked_resources_for @proposal, :projects, "included_proposals" %>
      <%= linked_resources_for @proposal, :meetings, "proposals_from_meeting" %>
      <%= linked_resources_for @proposal, :proposals, "copied_from_component" %>
      <%= cell "decidim/endorsers_list", @proposal %>
      <%= amendments_for @proposal %>
      <!-- Seção de anexos e imagens -->
      <%= attachments_for @proposal %>
    </div>
    <div class="side-content">
      <!-- Card de votos e ações -->
      <% if current_settings.votes_enabled? || show_endorsements_card? || current_user %>
        <% if @proposal.withdrawn? %>
          <div class="card">
            <div class="card__content">
              <%= render partial: "votes_count", locals: { proposal: @proposal, from_proposals_list: false } %>
              <% if current_settings.votes_enabled? %>
                <%= render partial: "vote_button", locals: { proposal: @proposal, from_proposals_list: false } %>
              <% end %>
            </div>
          </div>
        <% else %>
          <div class="proposal-card">
            <%= render partial: "votes_count", locals: { proposal: @proposal, from_proposals_list: false } %>
            <% if current_settings.votes_enabled? %>
              <%= render partial: "vote_button", locals: { proposal: @proposal, from_proposals_list: false } %>
            <% end %>
            <div class="row collapse buttons__row">
              <div class="column collapse <%= endorsements_enabled? ? "small-3" : "" %>">
                <%= link_to "#comments", class: "button small compact hollow secondary button--nomargin expanded" do %>
                  <span class="show-for-sr">
                    <%= present(@proposal).title(html_escape: true) %>
                  </span>
                  <%= icon "comment-square", class: "icon--small", aria_label: t(".comments"), role: "img" %>
                  <%= @proposal.comments_count %>
                <% end %>
              </div>
            </div>
          </div>
        <% end %>
      <% end %>
      <%= amenders_list_for(@proposal) %>
      <% if (current_user.try(:admin?) || @can_moderate) %>
        <button type="button" class="br-button" data-open="flagModal" title="Denunciar"
          aria-controls="flagModal" aria-haspopup="dialog" tabindex="0">
            <i class="fas fa-flag mr-2" aria-hidden="true"></i>
            Moderação
        </button>
      <% end %>
      <%= render partial: "decidim/shared/share_modal", locals: {
          translation_component: t("decidim.shared.share_modal.share_text_proposal",
          resource_name: resource_title(@proposal), component_name: resource_title(current_participatory_space)) } %>
      <%= cell "decidim/proposals/proposal_link_to_collaborative_draft", @proposal %>
      <%= cell "decidim/proposals/proposal_link_to_rejected_emendation", @proposal %>
      <%= emendation_actions_for @proposal %>
      <!-- Seção de comentários -->
      <% if user_full_profile_required? %>
        <% if user_survey_answered? %>
          <%= comments_for @proposal %>
        <% else %>
          <%= comments_for(@proposal, {
        :hide_comment_action => true, :alert => flash[:alert], :poll_link => flash[:poll_link]})
      %>
        <% end %>
      <% else %>
        <%= comments_for @proposal %>
      <% end %>
      <%= cell("decidim/flag_modal", @proposal) %>
    </div>
  </div>
</div>
